%define name    endeavour
%define version 2.7.1
%define release %mkrel 3
%define API    2
 
Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Graphical file manager
Group:      Graphical desktop/Other
License:    GPL
URL:        http://wolfpack.twu.net/Endeavour2
Source0:    http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
BuildRequires:  XFree86-devel
BuildRequires:  gtk+-devel
BuildRequires:  imlib-devel
BuildRequires:  ImageMagick
#enable zip support
BuildRequires:  libzip-devel
#enable video mode extentions
BuildRequires:  libxxf86vm-devel
Obsoletes:  libendeavour2
Provides:    libendeavour2
BuildRoot:  %_tmppath/%{name}-%{version}
 
%description
Endeavour Mark II is a complete file management suite that comes
with a File Browser, Image Browser, Archiver, Recycled Objects 
system, and a set of file & disk management utility programs. 

Featuring: 
 
  *  Two pane tree & list style File Browser. 
  *  Image Browser with thumbs list and a pan & zoom image viewer. 
  *  Archiver for viewing, creating, and extracting packages. 
  *  Commercial quality user-interface design. 
  *  Convient drag & drop operations. 
  *  Drag & drop downloading with the WGet Front End. 
  *  Extended MIME Types support with external import/export support  
  *  for other MIME Type file formats. 
  *  Fully customizable tool bars and list headings. 
  *  A recycled objects system. 
  *  Device and disk utility programs: 
  *  Download - Front end for the GNU WGet 
  *  HEdit - Hex editor 
  *  SysInfo - CPU Display 
  *  ZipTool - Front end for ZipTools
 

%package -n %{name}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:     libendeavour2-devel
Provides:       libendeavour2-devel
 
%description -n %{name}-devel
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q 

%build
export CFLAGS="%optflags" 
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
make    PREFIX=%{_prefix} \
    MAN_DIR=/usr/share/man/man1 \
    EDV_INCLUDE_DIR=%{_includedir}/%{name}%{API} \
    EDV_LIB_DIR=%{_libdir} \
    EDV_BIN_DIR=%{_libdir}/%{name}%{API} \
    all
 

%install
rm -rf %{buildroot}
make    PREFIX=%{buildroot}%{_prefix} \
    MAN_DIR=%{buildroot}/usr/share/man/man1 \
    EDV_INCLUDE_DIR=%{buildroot}%{_includedir}/%{name}%{API} \
    EDV_LIB_DIR=%{buildroot}%{_libdir} \
    EDV_BIN_DIR=%{buildroot}%{_libdir}/%{name}%{API} \
    install
# icons
convert endeavour2/images/%{name}_20x20.xpm -resize 16x16 %{name}-16.png
convert endeavour2/images/%{name}_32x32.xpm %{name}-32.png
convert endeavour2/images/%{name}_48x48.xpm %{name}-48.png
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png  

#rn symlink pointing to build
rm -f %{buildroot}%{_libdir}/libendeavour2.so 
#install lib
install -m 755 endeavour2/lib/libendeavour2.so %{buildroot}%{_libdir}
#devloper say this lk is needed
mkdir %{buildroot}%{_libdir}/endeavour2/lib
ln -s %{_libdir}/libendeavour2.so %{buildroot}%{_libdir}/endeavour2/lib

#fix man location
mv %{buildroot}/usr/man/man1/* %{buildroot}%{_mandir}/man1
rm -rfd %{buildroot}/usr/man

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\\
    command="%{_bindir}/%{name}%{API}"\\
    needs="x11"\\
    icon="%{name}.png"\\
    section="System/File Tools"\\
    title="Endeavour" \
    longtitle="File browser with management support for all types of disk objects" \
        xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Endeavour
Comment=Graphical file manager
Exec=%{_bindir}/%{name}%{API}
Icon=%{_iconsdir}/%{name}.png
Terminal=false
Type=Application 
StartupNotify=true
Categories=GTK;FileManager;X-MandrivaLinux-System-FileTools;
EOF

rm -f %{buildroot}%{_libdir}/%{name}2/{LICENSE,README}

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS HACKING INSTALL LANGUAGE LICENSE README TODO
%{_bindir}/%{name}%{API}
%{_libdir}/%{name}%{API}
%{_mandir}/man1/*
%exclude %{_mandir}/man1/*config*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}%{API}
%{_libdir}/*.so
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}%{API}*
 

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}%{API}
%{_bindir}/%{name}%{API}-config 
%{_mandir}/man1/*config*

%changelog
* Tue Sep 26 2006 Charles A Edwards <eslrahc@mandriva.org> 2.7.1-3mdv2007.0
- adjust menu entry and synce src and bi rpms

* Mon Sep 25 2006 Charles A Edwards <eslrahc@mandriva.org> 2.7.1-2mdv2007.0
- fix .desktop entry (Thanks to "Marek Kruz.el" <marek@202-159.is.net.pl>)
  
* Tue Aug 01 2006 Charles A Edwards <eslrahc@mandriva.org> 2.7.1-1mdv2007.0
- 2.7.1
- use API not major
- drop lib pkgs, handle as would plugin

* Fri Jul 07 2006 Charles A Edwards <eslrahc@mandriva.org> 2.6.1-2mdv2007.0
- fix provides
- add link

* Mon Jul 03 2006 Charles A Edwards <eslrahc@mandriva.org> 2.6.1-1mdv2007.0
- 2.6.1
- add zip and mode extention support
- update description 
- fix so install
- add man to devel pkg
- rm dub _liconsdir entry
- xdg

* Thu Jan 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.7-1mdk
- New release 2.5.7
- %%mkrel

* Sun Nov 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.6-1mdk
- New release 2.5.6

* Tue Sep 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.3-1mdk
- New release 2.5.3

* Sun Feb 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-1mdk
- 2.5.2

* Sun Jan 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.5.1-1mdk
- New release 2.5.1

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.6-2mdk 
- fix menu entry

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.4.6-1mdk
- New release 2.4.6

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.4-2mdk 
- explicit libdir

* Tue Jul  6 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.4.4-1mdk
- New release 2.4.4

* Wed Jun 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3

* Fri Jun 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.2-1mdk
- new version

* Mon May 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1
- remove patch merged upstream

* Fri Jan 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.3.7-1mdk
- new version
- libification
- correct doc files
- use original icons
- new menu

* Mon Dec 29 2003 Michael Scherer <misc@mandrake.org> 2.3.6-2mdk
- remove /usr/lib/libendeavour2.so link ( was not present before )
 
* Sat Dec 06 2003 Michael Scherer <misc@mandrake.org> 2.3.6-1mdk
- 2.3.6
- drop the last part of the previous patch
 
* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.3.3-1mdk
- 2.3.3
- drop previous multiline patch (merged upstream)
- new multiline patch
- rm -rf %{buildroot} in %%install
- spec cleanup

* Thu Jul 31 2003 Michael Scherer <scherer.michael@free.fr> 2.3.2-2mdk
- fix compilation 

* Thu May 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.3.2-1mdk
- 2.3.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.20-1mdk
- from Quel Qun <kelk1@sbcglobal.net> :
    - Disabled utility moves since their path is hard coded inside the main app.
    - 2.1.20
    - Added options -geometry -fn -fg -bg -sfg -sbg -title see man
      endeavour2 for more details.
    - Added download object button in the toolbars, see
      Settings->Customize->File Browser->Toolbar.
    - Added hedit, a hex editor.  It is installed in
      /usr/lib/endeavour2/bin/hedit
    - Fixed segfault caused by inconsistent defination of gbool
    - Download front end can now be runned as a stand-alone.
                
* Thu Aug 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.18-1mdk
- 2.1.18

* Mon Aug 05 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.16-1mdk
- 2.1.16

* Thu Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.15-1mdk
- 2.1.15

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.14-1mdk
- 2.1.14

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.13-1mdk
- 2.1.13

* Tue Mar 12 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.11-1mdk
- 2.1.11

* Mon Feb 18 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.9-1mdk
- 2.1.9
- patch merged upstream

* Thu Feb 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.7-1mdk
- 2.17

* Fri Jan 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-2mdk
- used png instead of xpm for menu icons

* Thu Jan 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-1mdk
- 2.1.5

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-4mdk
- back to standard /usr location

* Fri Jan 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-3mdk
- better description

* Tue Jan 01 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 2.0.0-2mdk 
- mandrake optimisation
- first Mandrake release
- spec cleanup
- corrected menu

* Tue Jan  1 2002 Han Boetes <han@mijncomputer.nl> 2.0.0-1mdk
- Initial build
